CREATE procedure [C6Staging].[RP_ST_DettPatrAziendale] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_DettPatrAziendale',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_DettPatrAziendale
	insert into c6staging.RP_DettPatrAziendale
/* 11/05/2015FCianfa e LM: sostituzione della select * con la select puntuale e valorizzazione a NULL di campi non più utilizzati per l'evolutiva patrimonio immobiliare.
*/
	--select *  from [CONSUNI].[ConsulenzaUnica].dbo.DettPatrAziendale
	select [chiaveProdottoTerzi],
	NULL,
	[denominazione],
	[codTipoCompagnia],
	[patrimonio],
	NULL,
	NULL,
	NULL,
	[idTipoAzienda],
	NULL,
	NULL,
	[numQuote],
	[valoreStimato],
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL
	from [CONSUNI].[ConsulenzaUnica].dbo.DettPatrAziendale
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_DettPatrAziendale' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_DettPatrAziendale'
		)
end